Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class ShiftPart

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.model.TimeInterval
          umontreal.iro.lecuyer.contactcenters.msk.model.ShiftPart

    public class ShiftPart

extends TimeInterval

Represents the part of a shift in a schedule. A shift part is a time interval with an additional field giving its type.

Field Summary
`static String` | `WORKING` The text ``Working''.

Constructor Summary
`ShiftPart(CallCenter cc, ShiftPartParams par)` Constructs a new shift part using the call ceneter `cc`, and parameters `par`.
`ShiftPart(double startingTime, double endingTime, String type)` Constructs a new shift part using the given starting time, ending time, and type.

Method Summary
`static ShiftPart[]` | `create1(CallCenter cc, List<ShiftPartParams> intervalList)` Constructs an array of shift parts from the list of part parameters.
`String` | `getType()` Returns the type associated with this shift part.
`boolean` | `isWorking()` Determines if agents are working during this part of the shift.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.model.TimeInterval
`checkIntervals, create, getEndingTime, getStartingTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORKING

    public static String WORKING

  The text ``Working''.

Constructor Detail

### ShiftPart

    public ShiftPart(CallCenter cc,
                     ShiftPartParams par)

  Constructs a new shift part using the call ceneter `cc`, and parameters `par`.

  Parameters:
    `cc` - the call center.
    `par` - the parameters for the part.

### ShiftPart

    public ShiftPart(double startingTime,
                     double endingTime,
                     String type)

  Constructs a new shift part using the given starting time, ending time, and type.

  Parameters:
    `startingTime` - the starting time of the shift part.
    `endingTime` - the ending time of the shift part.
    `type` - the type of the part.

Method Detail

### getType

    public String getType()

  Returns the type associated with this shift part.

  Returns:
    the type of this shift part.

### isWorking

    public boolean isWorking()

  Determines if agents are working during this part of the shift. This method returns `true` if and only if the string returns by `getType()` is equal to `Working`, case insensitive.

  Returns:
    the success indicator of the test.

### create1

    public static ShiftPart[] create1(CallCenter cc,
                                      List<ShiftPartParams> intervalList)

  Constructs an array of shift parts from the list of part parameters.

  Parameters:
    `cc` - the call center.
    `intervalList` - the list of part parameters.
  Returns:
    the array of shift parts.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.